package com.qmth.distributed.print.business.enums;

import com.qmth.teachcloud.common.enums.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 考场状态枚举类
 */
public enum ExamDetailStatusEnum {
    NEW("待生成"),
    CREATING("生成中"),
    READY("待提交"),
    WAITING("待印刷"),
    PRINTING("印刷中"),
    FINISH("已印刷"),
    CANCEL("已作废"),
    REJECT("已打回");
    private final String name;

    ExamDetailStatusEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<>();
        for (ExamDetailStatusEnum value : ExamDetailStatusEnum.values()) {
            EnumResult result = new EnumResult();
            result.setCode(value.name());
            result.setName(value.getName());
            result.setOrdinal(value.ordinal());
            list.add(result);
        }
        return list;
    }
}
